class Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.EditItemColumnModule.Account extends Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.EditItemColumnModule.Base
  
  initialize: (options) ->
    super(options)
  
  render: () ->
    this.$el.html('')
    if @is_own()
      edit_icon = new Pettanr.Image.SymbolImg({
        attr: {'src': @edit_img_file_name()}, 
        half: true
      })
      edit_btn = new Tag.A({
        attr: {href: '/' + @edit_url()}, 
        content: edit_icon.render().el
      })
      @listenTo(edit_btn, 'click', @click_edit)
      this.$el.append(edit_btn.render().el)
    this
  
  is_own: () ->
    if @item.is_own(@filer().operators)
      true
    else
      false
   
  edit_img_file_name: () ->
    @image_dir() + 'edit.png'
   
  edit_url: () ->
    'home/configure'
   
  click_edit: () ->
    @trigger('http_get', @edit_url())
  
