class Pettanr.GroundColor extends Peta.Element
  url: '/ground_colors/'
  
  @singular: () ->
    'GroundColor'
  
  @plural: () ->
    'GroundColors'
  
  defaults: {
    id: null,
    code: 0,
  } 
  
  @has_picture: () ->
    false
  
  panel: (options = {}) ->
    new Pettanr.Panel({id: @get('panel_id')}, options)
  
  element_face: () ->
    new Pettanr.Views.GroundColor.ElementFace({element: this})
  
  initialize: () ->
    if @id
      @url = @url + @id
  
