class Pettanr.ScrollPanel extends Peta.Leaf
  url: ''
  
  @singular: () ->
    'ScrollPanel'
  
  @plural: () ->
    'ScrollPanels'
  
  defaults: {
    id: null,
    scroll_id: null,
    panel_id: null,
    t: null
  } 
  
  @licensed_pictures: (scroll_panels) ->
    panels = _.filter(scroll_panels, (sp) ->
      sp.has_panel()
    )
    Pettanr.Panel.licensed_pictures(panels)
  
  scroll: () ->
    new Pettanr.Scroll({id: @get('scroll_id')})
  
  panel: () ->
    # get with elm in case play mode
    new Pettanr.Panel.WithElements({id: @get('panel_id')})
  
  has_panel: () ->
    if @get('panel_id')
      true
    else
      false
  
  initialize: () ->
    if @id
      @url = @url + @id
  
