class Pettanr.StorySheet extends Peta.Leaf
  url: '/story_sheets/'
  
  @singular: () ->
    'StorySheet'
  
  @plural: () ->
    'StorySheets'
  
  defaults: {
    id: null,
    story_id: null,
    sheet_id: null,
    t: null
  } 
  
  story: () ->
    new Pettanr.Story({id: @get('story_id')})
  
  sheet: () ->
    new Pettanr.Sheet({id: @get('sheet_id')})
  
  has_sheet: () ->
    if @get('sheet_id')
      true
    else
      false
  
  initialize: () ->
    if @id
      @url = @url + @id
  
