class Pettanr.Views.GroundPicture.NewElement extends Backbone.View
  tagName: 'div'
  className: 'new-element-body'
  
  initialize: (options) ->
    @parent = options.parent
    @model = options.model
    params = {
      controller: @model.path_name(), action: 'index',
      page_size: 6, format: 'pick'
    }
    @dialog().get(params, null)
  
  render: () ->
    this.$el.html(@img.clear().el)
    this
  
  dock: () ->
    @parent.dock()
  
  editor: () ->
    @dock().editor()
  
  dialog: () ->
    @editor().dialog
  
