# -*- encoding: utf-8 -*-
require 'spec_helper'
#スクロール

describe 'scrolls/show.html.erb' do
  before do
    @admin =FactoryGirl.create :admin
    @user_yas = FactoryGirl.create :user_yas_with_owner
    @user_rom = FactoryGirl.create :user_rom
    @author_yas =  @user_yas.author
    
  end

  describe 'エディタ' do
    before(:each) do
      @item =  FactoryGirl.create :scroll_hello, author: @author_yas
      @item_id = @item.id
      @operators = Operator.new [@user_yas, @author_yas, @artist, @admin, @demand_user]
      assign(:item, @item)
      assign(:play_count, 3)
      assign(:operators, @operators)
    end
    
    context 'ownerなとき' do
      it 'rendered' do
        render
        
        rendered.should have_tag('h3.edit')
      end
    end
  end
end

