class Manifest.ModelModule.AssociationModule.HasOne extends ManifestBase.NameValues
  
  set_default: () ->
    super()
    @values['item_name'] ||= @name
    @values['foreign_key'] ||= @parent.item_name() + '_id'
    
  init: () ->
    super()
    @item_name = @values['item_name']
    @foreign_key = @values['foreign_key']
  
  is_through: () ->
    !@through
  
  model: () ->
    Manifest.item_name_to_model @item_name
  
