# page header for guest
class Pettanr.Views.User.Guest extends Backbone.View
  tagName: 'div'
  className: 'account'
  
  initialize: (options) ->
  
  render: () ->
    this.$el.html('')
    @logo = new Pettanr.Views.Common.Logo({})
    @listenTo(@logo, 'click', @logo_click)
    this.$el.append(@logo.render().el)
    sign_in = new Tag.A({
      attr: {href: '/users/sign_in'}, 
      class_name: 'sign_in', 
      content: 'sign in'
    })
    @listenTo(sign_in, 'click', @sign_in_click)
    this.$el.append(sign_in.render().el)
    this
  
  logo_click: () ->
    @trigger('http_get', '')
    return false
  
  sign_in_click: () ->
    @trigger('http_get', 'user_sessions/new')
    return false
  
