class ArtistBelongsToUserData < ActiveRecord::Migration
  def up
    Artist.find(:all).each do |artist|
      if artist.author_id
        artist.user_id = Author.find(artist.author_id).user_id
      else
        par = ProviderArtist.find_by_demanders_artist_id(artist.id)
        artist.provider_id = par.provider_id
      end
      artist.save!
    end
    remove_column :artists, :author_id
  end

  def down
  end
end
