module LocalManifest
  module ProfilerModule
    class List < ManifestBase::NameValues
      attr :controller_name, :action_name
      
      def set_default
        ManifestBase::alert_undefined_message "controller_name", self.module_message unless @json['controller_name']
        ManifestBase::alert_undefined_message "action_name", self.module_message unless @json['action_name']
      end
      
      def init
        @controller_name = @json['controller_name']
        @action_name = @json['action_name']
      end
      
      def profiler_name
        @parent.item_name
      end
      
      def profiler_manifest
        @parent.manifest
      end
      
    end
    
  end
end
